## kernel-patch-2.0.36-m68k 2.0.36-3

=== debian/changelog ===
kernel-patch-2.0.36-m68k (2.0.36-3) frozen unstable; urgency=low

  * Patch from Michael Schmitz <MSchmitz@lbl.gov> to fix Macintosh
    ide problem.

 -- Nick Holgate <holgate@debian.org>  Thu, 25 Feb 1999 16:13:24 +0000

kernel-patch-2.0.36-m68k (2.0.36-2) frozen unstable; urgency=low

  * Brought m68k-native patch in line with 2.0.36-3 kernel sources.

 -- Nick Holgate <holgate@debian.org>  Sun, 21 Feb 1999 20:56:34 +0000

kernel-patch-2.0.36-m68k (2.0.36-1) frozen unstable; urgency=low

  * Initial version.
  
 -- Nick Holgate <holgate@debian.org>  Fri,  12 Feb 1999 23:45:00 +0000

Local variables:
mode: debian-changelog
End:
