=== debian/control ===
Source: kernel-patch-2.0.36-m68k
Section: devel
Priority: optional
Maintainer: Nick Holgate <holgate@debian.org>
Standards-Version: 2.4.1.0

Package: kernel-patch-2.0.36-m68k
Architecture: all
Depends: kernel-source-2.0.36 (>= 2.0.36-3)
Conflicts: kernel-patch-2.0.33-m68k
Description: Diffs to the kernel source for Linux/m68k
 Unfortunately in Linux 2.0.xx, the different architectures have
 divergent source trees.  These are the diffs to patch the native (i386)
 source to the latest (2.0.36) m68k tree.  Additional patches are also
 supplied to add Macintosh and VME support. If you don't have an
 m68k machine you don't need it.
