=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for kernel-patch-2.0.36-m68k
#
# Based on debian/rules from kernel-patch-2.0.33-m68k
#
# Copyright 1997,1998 by James Troup.
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=kernel-patch-2.0.36-m68k

SHELL=/bin/bash

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build

	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/bin
	install -m 755 kp36-m68k debian/tmp/usr/bin
	install -d debian/tmp/usr/man/man1
	install -m 644 kp36-m68k.1 debian/tmp/usr/man/man1
	install -d debian/tmp/usr/src/kernel-patches/m68k/{apply,unpatch}
	install -m 644 2.0.36-native.diff.gz \
			debian/tmp/usr/src/kernel-patches/m68k/
	install -m 644 2.0.36-mac.diff.gz \
			debian/tmp/usr/src/kernel-patches/m68k/
	install -m 644 2.0.36-vme.diff.gz \
			debian/tmp/usr/src/kernel-patches/m68k/
	install -m 755 apply_me debian/tmp/usr/src/kernel-patches/m68k/apply/
	install -m 755 unapply_me debian/tmp/usr/src/kernel-patches/m68k/unpatch/

	debstd README
	dpkg-gencontrol -p$(package)
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f apply_me -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
